Ubuntu

sensors-detect won't recognize 3.0 kernel

Reported by Micah Gersten on 2011-06-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lm-sensors
Undecided
auto-lm-sensors
lm-sensors-3 (Debian)
Fix Released
Unknown
lm-sensors-3 (Ubuntu)
Medium
Andy Whitcroft

Bug Description

The detection algorithm expects x.y.z, but now we only have x.y, so it gets no version in the pattern match.
        `uname -r` =~ /(\d+)\.(\d+)\.(\d+)(.*)/;
~line 2260

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: lm-sensors 1:3.2.0-1ubuntu1
ProcVersionSignature: Ubuntu 3.0-0.1-generic 3.0.0-rc2
Uname: Linux 3.0-0-generic x86_64
Architecture: amd64
Date: Mon Jun 13 22:44:18 2011
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=C
 LC_MESSAGES=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lm-sensors-3
UpgradeStatus: Upgraded to oneiric on 2011-03-06 (99 days ago)

Micah Gersten (micahg) wrote :
Micah Gersten (micahg) on 2011-06-14
Changed in lm-sensors-3 (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: New → In Progress
Micah Gersten (micahg) wrote :

This patch makes the 3rd number optional.

Changed in lm-sensors-3 (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Confirmed
Micah Gersten (micahg) wrote :

Will forward to Debian as soon as it's accepted in Ubuntu (we already have a diff in any case)

Marc Deslauriers (mdeslaur) wrote :

Looks good, uploaded. Thanks!

Please forward it to Debian. Thanks!

Changed in lm-sensors-3 (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lm-sensors-3 - 1:3.2.0-1ubuntu2

---------------
lm-sensors-3 (1:3.2.0-1ubuntu2) oneiric; urgency=low

  * fix LP: #797001 - sensors-detect won't recognize 3.0 kernel
    - add debian/patches/101_detect_3_0_kernel_version.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Mon, 13 Jun 2011 23:04:24 -0500

Changed in lm-sensors-3 (Ubuntu):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Actually this fix seems incorrect for older releases. It adds an additional bracketed section which is not allowed for by the consumer and also shifts the -x.y part incorrectly into the third digit field which could lead to incorrect version matches. Here is some testing output from the _original_ code:

  $ ./X
  2.6.1-10.0 -> 2>6>1>-10.0
  Kernel version is unsupported (too old, >= 2.6.5 needed)
  2.6.39-20.1 -> 2>6>39>-20.1
  3.0-5.1 -> >>>
  Kernel version is unsupported (too old, >= 2.6.5 needed)
  $

From the code as uploaded in 1:3.2.0-1ubuntu2:

  $ ./X
  2.6.1-10.0 -> 2>6>.1>1
  Kernel version is unsupported (too old, >= 2.6.5 needed)
  2.6.39-20.1 -> 2>6>.39>39
  Kernel version is unsupported (too old, >= 2.6.5 needed)
  3.0-5.1 -> 3>0>>
  $

From the modified fix:

  $ ./X
  2.6.1-10.0 -> 2>6>1>-10.0
  Kernel version is unsupported (too old, >= 2.6.5 needed)
  2.6.39-20.1 -> 2>6>39>-20.1
  3.0-5.1 -> 3>0>0>-5.1

Will prepare a branch with this applied which should appear connected to this bug.

Changed in lm-sensors-3 (Ubuntu):
status: Fix Released → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Patch to fix this up (also applied in the linked branch).

tags: added: kernel-3.0
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lm-sensors-3 - 1:3.2.0-1ubuntu3

---------------
lm-sensors-3 (1:3.2.0-1ubuntu3) oneiric; urgency=low

  * fix sensors-detect won't recognize 3.0 kernel fix to handle
    older versions correctly. (LP: #797001)
 -- Andy Whitcroft <email address hidden> Fri, 17 Jun 2011 16:01:05 +0100

Changed in lm-sensors-3 (Ubuntu):
status: In Progress → Fix Released
Changed in lm-sensors-3 (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.